    LIST p=12F683
    include p12F683.inc
    ERRORLEVEL -302
    __CONFIG 0x0C2

; pins:
; GPIO-0/7 = Output S88 (lowActive)
; GPIO-1/6 = Output Led-S88 green
; GPIO-2/5 = Output IR-LED (highActive)
; GPIO-3/4 = input receiver (highActive)
; GPIO-4/3 = Osc
; GPIO-5/2 = Osc

wait	equ 0x20
count	equ 0x21
tel1	equ 0x22
tel2	equ 0x23

 #define s88 gpio,0
 #define led_s88 gpio,1
 #define led_IR gpio,2
 #define inp_IR gpio,3
;------------------------------------------------
;-------------------- INIT ----------------------
;------------------------------------------------
    ORG     0x000
; inizialation of the PIC
	nop
	banksel	gpio
	movlw	0x00
	movwf	gpio

;/*
; * PWM registers configuration
; * Fosc = 12 MHz
; * Fpwm = 32967,03 Hz (Requested : 33 kHz)
; * Duty Cycle = 50 %
; * Resolution is 8 bits
; * Prescaler is 1
; */
	movlw 	0x04  ;'b0000 0100' 
	movwf 	t2con
	movlw 	0x2D   ;'b0010 1101'
	movwf 	ccpr1l 
	movlw 	0x1C   ;'b0001 1100'
	movwf 	ccp1con 

	movlw	0x07		;comparator off
	movwf	cmcon0

	clrf	adcon0

	banksel	pr2
	movlw 	0x5A	;'b0101 1010' ;
	movwf	pr2

	movlw	0x08		; pin4 = input
	movwf	trisIO

	movlw	0x00		
	movwf	option_reg

	movlw	0x00		; interrupt UIT
	movwf	intcon

	clrf	pie1

	banksel	gpio
;----------------------------------------------------------------------------------
;-------------------------------==={Main Program}===-------------------------------
;----------------------------------------------------------------------------------
; beginwaarden:

	nop
	bsf	s88	; S88 off (low-active)
	bsf	led_s88	; LED-green on

again                         
    BTFSC 	inp_IR	; check if input IR-reciever is active (5V)                        
    GOTO 	active  ; if active, goto active                        
    BSF 	s88                            
    BSF 	led_s88                          
    GOTO 	jump1
active                           
    NOP                                    
    BCF 	s88  	; S88 on (low-active)
    BCF 	led_s88 ; green LED on
wait3 
    BTFSC 	inp_IR  ; wait until IR-receiver is in-active                       
    GOTO 	wait3
; 0,2 second delay
	movlw	0x02
	movwf	count
loop3
    CALL 	delay
	decfsz 	count,f
	goto	loop3
                              
    BTFSC 	inp_IR  ; if IR-receiver is again active goto active                      
    GOTO 	active                            
    BSF 	s88                            
    BSF 	led_s88                         
    GOTO 	again 	; start again
jump1                        
    CLRF 	wait                             
loop2 
    DECFSZ 	wait,f                         
    GOTO 	loop2                              
    GOTO 	again  

; delay 0,1 seconde 
Delay	;299993 cycles
	movlw	0x5E
	movwf	tel1
	movlw	0xEB
	movwf	tel2
Delay_0
	decfsz	tel1, f
	goto	$+2
	decfsz	tel2, f
	goto	Delay_0
			;3 cycles
	goto	$+1
	nop
			;4 cycles (including call)
	return                     

;-----------End---------------
	end
